Retail Express API 2.1

Searches Shipment Types by parameters

Searches Shipment Types by parameters

get
https://api.retailexpress.com.au/v2/shipmenttypes

Query Parameters

namestring | null

Name

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Shipment Types data

ShipmentType.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Shipment Type model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/shipmenttypes
 
application/json

Creates Shipment Type

Sample request:

 POST /shipmenttypes
  {
      "name": "AIR EXPRESS"
  }
post
https://api.retailexpress.com.au/v2/shipmenttypes

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Shipment Type to be created

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Shipment Type created

ShipmentType

Shipment Type model

* Additional properties are NOT allowed.
idinteger | null(int32)

Identifier

namestring | null

name

>= 0 characters<= 50 characters

post/shipmenttypes

Body

{}
 
application/json

Gets Shipment Type by id

Gets Shipment Type by id

get
https://api.retailexpress.com.au/v2/shipmenttypes/{id}

Path Parameters

idinteger(int32)required

Gets Shipment Type by id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Shipment Type

ShipmentType

Shipment Type model

* Additional properties are NOT allowed.
idinteger | null(int32)

Identifier

namestring | null

name

>= 0 characters<= 50 characters

get/shipmenttypes/{id}
 
application/json

Updates Shipment Type

Sample request:

 PUT /shipmenttypes
 {
    "name": "Type A"
 }
put
https://api.retailexpress.com.au/v2/shipmenttypes/{id}

Path Parameters

idinteger(int32)required

Shipment Type id

Example:100000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Shipment Type model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Shipment Type

ShipmentType

Shipment Type model

* Additional properties are NOT allowed.
idinteger | null(int32)

Identifier

namestring | null

name

>= 0 characters<= 50 characters

put/shipmenttypes/{id}

Body

{}
 
application/json

Deletes Shipment Type by id

Deletes Shipment Type by id

delete
https://api.retailexpress.com.au/v2/shipmenttypes/{id}

Path Parameters

idinteger(int32)required

Shipment Type id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Shipment Type deleted

delete/shipmenttypes/{id}